<template>
  <form class="search" :class="[isAlternative ? 'search--black' : 'search--white' ]" @submit.prevent="search">
    <button type="submit" class="search__btn">
      <img class="search__icon" src="@/assets/img/svg/search-black.svg" alt="search" v-if="isAlternative">
      <img class="search__icon" src="@/assets/img/svg/search-white.svg" alt="search" v-else>
    </button>
    <label>
      <input class="search__input" type="text" placeholder="Search" name="search">
    </label>
  </form>
</template>

<script>
export default {
  name: 'Search',
  props: {
    isAlternative: {
      type: Boolean,
      default: false
    }
  },
  methods: {
    search() {
      console.log('Seraching...');
    }
  }
}
</script>

<style lang="sass" scoped>
.search
  display: flex
  flex-direction: row
  align-items: center
  &--white
    .search
      &__input
        color: white
        /* Change autocomplete styles in WebKit */
        &:-webkit-autofill,
        &:-webkit-autofill:hover,
        &:-webkit-autofill:focus
          border: none
          transition: background-color 5000s ease-in-out 0s
          -webkit-text-fill-color: white
          caret-color: white
        +placeholder
          color: white
  &--black
    .search
      &__input
        color: black
        &:-webkit-autofill,
        &:-webkit-autofill:hover,
        &:-webkit-autofill:focus
          border: none
          transition: background-color 5000s ease-in-out 0s
          -webkit-text-fill-color: black
          caret-color: black
        +placeholder
          color: black
  &__icon
    width: rem(14)
    height: auto
  &__input
    background: transparent
    border: none
    text-overflow: ellipsis
    padding: rem(5)
    font-size: rem(14)
    font-family: $mainFont
    width: 4rem
  &__btn
    background: transparent
    border: none
</style>
